.root {
  display: flex;
  flex-direction: column;
  padding: 40px 32px 32px;
  gap: 24px;
  width: 420px;
}

.title {
  font: var(--font-h2);
}

.form {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.inputGroup {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 8px;
  color: var(--text-secondary);
  width: 100%;

  .input {
    width: 100%;
    border: 1px solid var(--text-secondary);
    padding: 14px 16px;
    border-radius: 12px;

    &:focus {
      outline: 1px solid var(--blue);
    }

    &-failed {
      border: 1px solid var(--accent);

      &:focus {
        outline: 1px solid var(--accent);
      }
    }
  }

  .resetPass {
    width: fit-content;
    cursor: pointer;
    color: var(--text-secondary);
    font: var(--font-p2);
  }
}

.buttonGroup {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.invalidInputText {
  text-align: left;
  color: var(--accent);
  font: var(--font-p2);
  align-self: self-start;
}
